﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChart
{
    using System.Runtime.Serialization;

    /// <summary>
    /// The unit of the time.
    /// </summary>
    [DataContract]
    public enum TimeUnit
    {
        /// <summary>
        /// The second.
        /// </summary>
        [EnumMember]
        Second = 0,

        /// <summary>
        /// The minute.
        /// </summary>
        [EnumMember]
        Minute = 1,

        /// <summary>
        /// The hour.
        /// </summary>
        [EnumMember]
        Hour = 2,

        /// <summary>
        /// The day.
        /// </summary>
        [EnumMember]
        Day = 3,

        /// <summary>
        /// The week.
        /// </summary>
        [EnumMember]
        Week = 4,

        /// <summary>
        /// The month. One month contains 30 days.
        /// </summary>
        [EnumMember]
        Month = 5,

        /// <summary>
        /// The quarter. One quarter contains 90 days.
        /// </summary>
        [EnumMember]
        Quarter = 6,

        /// <summary>
        /// The year. One year contains 12 months or 360 days.
        /// </summary>
        [EnumMember]
        Year = 7,
    }
}
