﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChart.ViewModels
{
  public  class BorrowViewModel:INotifyPropertyChanged
    {


      public BorrowViewModel()
      {
         var borrowModels = new ObservableCollection<BorrowModel>();

          Period period = new Period();
          period.Unit = TimeUnit.Month;
          for (int i = 0; i < 3; i++)
          {
              var borrow = new BorrowModel();
              period.Duration = i + 5 * i;
              borrow.Period = period;
              borrow.BorrowRate = 1 + 5 * i;
              borrowModels.Add(borrow);
          }
          CurrentModels = borrowModels;
      }

      private ObservableCollection<BorrowModel> _currentModels;

        public ObservableCollection<BorrowModel> CurrentModels
        {
            get { return this._currentModels; }
            set
            {
                this._currentModels = value;
                this.NotifyPropertyChanged("CurrentModels");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

      
        
}
